VERSION 5.00
Begin VB.Form frmScreenshot 
   Caption         =   "OFP Camera"
   ClientHeight    =   1035
   ClientLeft      =   60
   ClientTop       =   375
   ClientWidth     =   2970
   Icon            =   "frmScreenshot.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   1035
   ScaleWidth      =   2970
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdRun 
      Caption         =   "Instructions"
      Height          =   255
      Left            =   360
      TabIndex        =   3
      Top             =   720
      Width           =   2535
   End
   Begin VB.CommandButton Options 
      Caption         =   "Options"
      Height          =   255
      Left            =   360
      TabIndex        =   2
      Top             =   360
      Width           =   2535
   End
   Begin VB.Timer Timer1 
      Interval        =   100
      Left            =   0
      Top             =   0
   End
   Begin VB.PictureBox Picture1 
      AutoRedraw      =   -1  'True
      BorderStyle     =   0  'None
      Height          =   615
      Left            =   480
      ScaleHeight     =   615
      ScaleWidth      =   375
      TabIndex        =   1
      Top             =   360
      Width           =   375
   End
   Begin VB.CommandButton ManualTake 
      Caption         =   "Take ScreenShot Now"
      Height          =   255
      Left            =   360
      TabIndex        =   0
      ToolTipText     =   "For Testing Purposes"
      Top             =   0
      Width           =   2535
   End
End
Attribute VB_Name = "frmScreenshot"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal x As Long, _
    ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, _
    ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long
Private Declare Function GetDC Lib "user32" (ByVal hwnd As Long) As Long
Private Declare Function ReleaseDC Lib "user32" (ByVal hwnd As Long, ByVal hdc As Long) As Long

Dim scrPixelsX As Long, scrPixelsY As Long

Public Num As Integer
Public NextSS As Boolean
Function TakePhoto(Beep As String) As Boolean
'Take the photo function (To avoid multiple copies of this code)
  Dim wDC As Long

  'Sort screen res when taking photos
  Picture1.AutoRedraw = True
  Picture1.Visible = False
  Picture1.BorderStyle = 0 'no border
  Picture1.Width = ScaleX(Screen.Width, ScaleMode, vbTwips)
  Picture1.Height = ScaleY(Screen.Height, ScaleMode, vbTwips)
  scrPixelsX = ScaleX(Screen.Width, vbTwips, vbPixels)
  scrPixelsY = ScaleY(Screen.Height, vbTwips, vbPixels)
  MsgBox (Screen.Width & " by " & Screen.Height)

' If the current number exists (Program restarted, the counter is reset),
' then increase the number, check again untill current
' number doesn't exist

ExistLoop1:
If FileExist(ScreenDir & "\" & Num & ".bmp") Then
Num = Num + 1
GoTo ExistLoop1
End If

  wDC = GetDC(0)
  L = BitBlt(Picture1.hdc, 0, 0, scrPixelsX, scrPixelsY, wDC, 0, 0, vbSrcCopy)
  ReleaseDC 0, wDC
    
  'Save screenshot to C:\ScreenShots\currentNumber.bmp
  ' E.g C:\ScreenShots\1.bmp
  SavePicture frmScreenshot.Picture1.Image, ScreenDir & "\" & Num & ".bmp"
  
  'Increment current number
  Num = Num + 1
End Function

Private Sub Command1_Click()
MsgBox (FlashpointFolder & vbCr & ScreenDir)
End Sub

Private Sub cmdRun_Click()
frmHelp.Show
End Sub

Private Sub Form_Load()
frmOptions.Show
DoEvents
frmOptions.Hide
  'Needed for taking screenshot
  Picture1.AutoRedraw = True
  Picture1.Visible = False
  Picture1.BorderStyle = 0 'no border
  Picture1.Width = ScaleX(Screen.Width, ScaleMode, vbTwips)
  Picture1.Height = ScaleY(Screen.Height, ScaleMode, vbTwips)
  scrPixelsX = ScaleX(Screen.Width, vbTwips, vbPixels)
  scrPixelsY = ScaleY(Screen.Height, vbTwips, vbPixels)
  
  'Init the Num varible
  Num = 0
  
  'Create the ScreenShot folder (Ignore error 75, Folder already exists)
  On Error Resume Next
  MkDir ScreenDir
End Sub

Private Sub Form_Unload(Cancel As Integer)
Unload frmOptions
Unload frmHelp
Unload Me
End Sub

Private Sub ManualTake_Click()
' Manual take photo (For testing)
TakePhoto (1)
End Sub

Private Sub Options_Click()
frmOptions.Show
End Sub

Private Sub Timer1_Timer()
'Does the file exists, if so
If FileExist(FlashpointFolder & "\fwatch\mdb\takePhoto.db") Then
'Take a photo
TakePhoto (1)
' Delete the file so it doesn't take another untill the file is created again
Kill FlashpointFolder & "\fwatch\mdb\takePhoto.db"
End If
End Sub
